Table of Contents

Class: _UnixWaker | Twisted-0.17.4/twisted/internet/main.py
--- | ---

### This class provides a simple interface to wake up the select() loop.

This is necessary only in multi-threaded programs.

Base Classes |
--- | ---
styles.Ephemeral

Methods |
--- | ---
__init__ connectionLost doRead wakeUp
| __init__

    __init__ ( self )

Initialize.

| connectionLost

    connectionLost ( self )

Close both ends of my pipe.

| doRead

    doRead ( self )

Read one byte from the pipe.

| wakeUp

    wakeUp ( self )

Write one byte to the pipe, and flush it.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0